curl -X POST https://api.fastdrop.io/api/v1/thumbnails \
-H "Content-Type: application/json" \
-H "X-API-Key: fd_live_your_key_here" \
-d '{"video_url": "https://example.com/video.mp4"}'
{
"job_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"status": "queued",
"credits_charged": 1,
"estimated_seconds": 60,
"poll_url": "/api/v1/classify/a1b2c3d4-5678-90ab-cdef-1234567890ab",
"created_at": "2026-03-05T12:00:00Z"
}
Standalone Capabilities
Extract Thumbnails
Extract keyframe thumbnails without classification
POST
/
thumbnails
curl -X POST https://api.fastdrop.io/api/v1/thumbnails \
-H "Content-Type: application/json" \
-H "X-API-Key: fd_live_your_key_here" \
-d '{"video_url": "https://example.com/video.mp4"}'
{
"job_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"status": "queued",
"credits_charged": 1,
"estimated_seconds": 60,
"poll_url": "/api/v1/classify/a1b2c3d4-5678-90ab-cdef-1234567890ab",
"created_at": "2026-03-05T12:00:00Z"
}
Extract 3-5 keyframe thumbnails from a video. No classification is performed — just thumbnail extraction.
Cost: 1 credit
string
required
Public HTTP/HTTPS URL of the video.
string
Optional HTTPS URL to receive a POST when processing completes.
Response (202 Accepted)
Returns a job submission withjob_id. Get the result from Get Job Status with ?wait=N, or subscribe to job.completed via a webhook. When complete, the results.thumbnails field contains an array of presigned thumbnail URLs.
curl -X POST https://api.fastdrop.io/api/v1/thumbnails \
-H "Content-Type: application/json" \
-H "X-API-Key: fd_live_your_key_here" \
-d '{"video_url": "https://example.com/video.mp4"}'
{
"job_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"status": "queued",
"credits_charged": 1,
"estimated_seconds": 60,
"poll_url": "/api/v1/classify/a1b2c3d4-5678-90ab-cdef-1234567890ab",
"created_at": "2026-03-05T12:00:00Z"
}
Result format
When the job completes, theresults field contains:
{
"thumbnails": [
"https://storage.fastdrop.io/thumbs/abc123-t1.jpg",
"https://storage.fastdrop.io/thumbs/abc123-t2.jpg",
"https://storage.fastdrop.io/thumbs/abc123-t3.jpg"
]
}